# user.py - User configuration script
#
# Copyright(C) Optibrium Ltd 2016
# stardrop-support@optibrium.com
#

home = appui.homeDir() # user's ~ dir

import os
os.chdir(home)

import sys

sys.path.append(os.getcwd())

#Specify a directory to hold the centrally maintained scripts
MyPythonDir = os.path.expanduser('~') + r"/certara"
sys.path.append(MyPythonDir)

#import the Script module and extract the scripts supported
ScriptFunction = None
try:
	import ScriptFunctions
	print 'got file'
	#Find the script handling function to call 
	ScriptFunction = ScriptFunctions.ScriptFunction
	print 'got function'
	for (index,title) in ScriptFunctions.Functions:
		#add the defined scripts to the MyScripts menu
		appui.addScript(index,title)
except:
	pass


#
# wire up the UI script and scriptDB signals 
#

##########################
#Example of creating a script to be accessed from the UI menu
#appui.addScript(1,"Test data set import")#
##End scripts

#Set the menu title
try:
	appui.setScriptMenuTitle("D360")
except:
	pass

#Test for index in the 'script(index) function below to call the
#correct script for this item
###########################

##Add any imports here

##End imports

##Add functions here


##End functions



def script(index):
  if index > 100 and ScriptFunction != None:
    ScriptFunction(index,appui)
  else:
    print "script " + `index`
##End scriptfunc

appui.connect("script(int)", script)



